%define major	0
%define libname	%mklibname %{name}midi %{major}

Name:		bristol
Summary:	Synthesizer Emulator Pack
Version:	0.60.10
Release:	%mkrel 4
License:	GPLv2
Group:		Sound/Midi
URL:		http://%{name}.sourceforge.net/
Source:		http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:	synths.txt
Patch0:		bristol-0.60.10-mga-link.patch
Patch1:		bristol-dont-force-sse.patch

BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(sndfile)

# These obsoletes are needed for Mandriva 2010.1 compatibility
# but may be suppressed for Mageia4
Obsoletes:	%{name}-arp2600 < 0.60.10
Obsoletes:	%{name}-axxe < 0.60.10
Obsoletes:	%{name}-b3 < 0.60.10
Obsoletes:	%{name}-bit99 < 0.60.10
Obsoletes:	%{name}-bit100 < 0.60.10
Obsoletes:	%{name}-bitone < 0.60.10
Obsoletes:	%{name}-bm < 0.60.10
Obsoletes:	%{name}-bme700 < 0.60.10
Obsoletes:	%{name}-dx < 0.60.10
Obsoletes:	%{name}-explorer < 0.60.10
Obsoletes:	%{name}-juno < 0.60.10
Obsoletes:	%{name}-jupiter < 0.60.10
Obsoletes:	%{name}-memory < 0.60.10
Obsoletes:	%{name}-mg1 < 0.60.10
Obsoletes:	%{name}-mini < 0.60.10
Obsoletes:	%{name}-mono < 0.60.10
Obsoletes:	%{name}-monopoly < 0.60.10
Obsoletes:	%{name}-obx < 0.60.10
Obsoletes:	%{name}-obxa < 0.60.10
Obsoletes:	%{name}-odyssey < 0.60.10
Obsoletes:	%{name}-poly800 < 0.60.10
Obsoletes:	%{name}-polysix < 0.60.10
Obsoletes:	%{name}-pro1 < 0.60.10
Obsoletes:	%{name}-pro10 < 0.60.10
Obsoletes:	%{name}-pro52 < 0.60.10
Obsoletes:	%{name}-prophet < 0.60.10
Obsoletes:	%{name}-rhodes < 0.60.10
Obsoletes:	%{name}-rhodesbass < 0.60.10
Obsoletes:	%{name}-roadrunner < 0.60.10
Obsoletes:	%{name}-sidney < 0.60.10
Obsoletes:	%{name}-solina < 0.60.10
Obsoletes:	%{name}-sonic6 < 0.60.10
Obsoletes:	%{name}-stratus < 0.60.10
Obsoletes:	%{name}-trilogy < 0.60.10
Obsoletes:	%{name}-vox < 0.60.10
Obsoletes:	%{name}-voxM2 < 0.60.10
Obsoletes:	%{name}-voyager < 0.60.10

%description
Bristol emulates several vintage synthesizers, mainly keyboards: 
Various Moog, Sequencial Circuits, Oberheim, Arp, Rhodes,
Yamaha, Roland, Hammond, Korg, and Vox algorithms are provided. 
Each has its own graphical interface. A central interface is provided
by Brighton. 

%package -n %{libname}
Summary:	Dynamic libraries used by %{name}
License:	GPLv2
Group:		System/Libraries
Provides:	%{libname} = %{version}-%{release}

%description -n %{libname}
Dynamic libraries required by the Bristol vintage keyboard emulation
package

%files -n %{libname}
%{_libdir}/libbristolmidi.so.%{major} 
%{_libdir}/libbristolmidi.so.%{major}.*
%exclude %{_libdir}/*.la

%prep
%setup -q
%patch0 -p1 -b .bristol-0.60.10-mga-link.patch
%patch1 -p1 -b .sse
chmod  a-x bitmaps/*/*
chmod  a-x bitmaps/bicon.svg bitmaps/icon_bitmap.xbm
chmod  a-x COPYING AUTHORS NEWS memory/mini/readme.txt \

# fix build with new automake 1.13
sed -i -e 's,AM_CONFIG_HEADER,AC_CONFIG_HEADERS,g' configure.*

%build
autoreconf -fi
%configure2_5x 
%make

%install
make BRISTOL_DIR=%{_datadir}/%{name} DESTDIR=%{buildroot} install
rm -f %{buildroot}%{_libdir}/*.{la,a,so}

mkdir -p %{buildroot}/etc/xdg/menus/applications-merged
cat > %{buildroot}/etc/xdg/menus/applications-merged/%{name}.menu << EOF
<!DOCTYPE Menu PUBLIC "-//freedesktop//DTD Menu 1.0//EN"
"http://www.freedesktop.org/standards/menu-spec/menu-1.0.dtd">
<Menu>
<Name>Applications</Name>
<Menu>
<Name>SoundVideo</Name>
<Menu>
<Name>Bristol</Name>
<Directory>mageia-%{name}.directory</Directory>
<Include>
<Category>X-Bristol</Category>
</Include>
</Menu>
</Menu>
</Menu>
EOF

mkdir -p %{buildroot}%{_datadir}/desktop-directories
cat > %{buildroot}%{_datadir}/desktop-directories/mageia-%{name}.directory << EOF
[Desktop Entry]
Name=Bristol
Icon=%{name}
Type=Directory
EOF

mkdir -p %{buildroot}%{_datadir}/applications/

# Create .desktop files from synths.txt
IFS=:
cat %{SOURCE1} | sed  "/^#/d"| while read SYNTH NAME; do
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}-${SYNTH}.desktop << EOF
[Desktop Entry]
Name=${NAME}
Icon=%{name}
Type=Application
Exec=startBristol -jack -autoconn -priority 70 -${SYNTH}
Terminal=false
Categories=AudioVideo;Audio;Midi;X-Bristol;
EOF
done

mkdir -p %{buildroot}%{_datadir}/pixmaps
cp bitmaps/bicon.svg %{buildroot}%{_datadir}/pixmaps/%{name}.svg

%files
%doc AUTHORS COPYING* NEWS README
%docdir %{_mandir}/man1/*
%{_mandir}/man1/*
%{_bindir}/brighton
%{_bindir}/%{name}
%{_bindir}/bristoljackstats
%{_bindir}/startBristol
%{_datadir}/pixmaps/%{name}.svg
%{_datadir}/%{name}
%{_datadir}/desktop-directories/mageia-%{name}.directory
%config /etc/xdg/menus/applications-merged/%{name}.menu
# For mga4 : substitute next commented %%config line to the previous one 
# which is needed for Mandriva compatibility
# %%config(no replace) /etc/xdg/menus/applications-merged/%%{name}.menu
%{_datadir}/applications/mageia-%{name}*.desktop


%changelog

* Sun Apr 07 2013 rtp <rtp> 0.60.10-4.mga3
+ Revision: 408927
- Fix non-x86 build

* Fri Jan 11 2013 umeabot <umeabot> 0.60.10-3.mga3
+ Revision: 347185
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 31 2012 wally <wally> 0.60.10-2.mga3
+ Revision: 336534
- fix build with new automake 1.13

* Sat Dec 15 2012 barjac <barjac> 0.60.10-1.mga3
+ Revision: 331272
- New version
- major packaging changes thanks to Philippe Didier
- linkage patch thanks to spturtle
- Import from Mandriva


* Thu Dec 15 2011 Dmitry Mikhirev <dmikhirev@mandriva.org> 0.60.9-1mdv2012.0
+ Revision: 741503
- update to 0.60.9

* Wed Mar 23 2011 Frank Kober <emuse@mandriva.org> 0.60.8-1
+ Revision: 648179
- new version 0.60.8

* Wed Jan 05 2011 Funda Wang <fwang@mandriva.org> 0.60.6-2mdv2011.0
+ Revision: 628673
- tighten BR
- partial fix linkage

* Sat Aug 14 2010 Frank Kober <emuse@mandriva.org> 0.60.6-1mdv2011.0
+ Revision: 569591
- new version 0.60.6
  o adjust file list
  o adjust permission fix

  + Funda Wang <fwang@mandriva.org>
    - update to new version 0.60.5

* Thu Jul 15 2010 Frank Kober <emuse@mandriva.org> 0.60.5-1mdv2011.0
+ Revision: 553529
- new version 0.60.5

* Thu May 13 2010 Frank Kober <emuse@mandriva.org> 0.60.3-1mdv2010.1
+ Revision: 544715
- new version 0.60.3 adding CLI and fixing crashes on KDE4
- manpages added to spec

* Fri Apr 16 2010 Frank Kober <emuse@mandriva.org> 0.50.6-2mdv2010.1
+ Revision: 535353
- begin lint cleaning, obsolete old desktop pkgs

* Sun Apr 11 2010 Frank Kober <emuse@mandriva.org> 0.50.6-1mdv2010.1
+ Revision: 533599
- sync sources
- adjust desktop file list (thanks to Philippe Didier), new version 0.50.6, create submenu entry

* Mon Apr 05 2010 Frank Kober <emuse@mandriva.org> 0.50.5-1mdv2010.1
+ Revision: 531721
- add missing new item to file list
- new version 0.50.5
- new version 0.50.5

* Fri Apr 02 2010 Frank Kober <emuse@mandriva.org> 0.50.3-1mdv2010.1
+ Revision: 530789
- update to new version 0.50.3

* Sun Mar 28 2010 Frank Kober <emuse@mandriva.org> 0.50.2-3mdv2010.1
+ Revision: 528481
- do Makefile.am modification BEFORE configure

* Sun Mar 28 2010 Frank Kober <emuse@mandriva.org> 0.50.2-2mdv2010.1
+ Revision: 528475
- drop patches, use perl to only remove -march flag

* Sun Mar 28 2010 Frank Kober <emuse@mandriva.org> 0.50.2-1mdv2010.1
+ Revision: 528458
- import bristol, initial specfile provided by Yvan Munoz
- import bristol


